Bug 669552 - Review Request: swingx - A collection of Swing components
Summary: Review Request: swingx - A collection of Swing components
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-13 23:12 UTC by Omair Majid
Modified: 2011-02-02 07:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-02 06:39:17 UTC
Type: ---
akurtako: fedora-review+


Attachments (Terms of Use)

Description Omair Majid 2011-01-13 23:12:30 UTC
Spec URL: http://omajid.fedorapeople.org/swingx/swingx.spec
SRPM URL: http://omajid.fedorapeople.org/swingx/swingx-0.9.5-1.fc15.src.rpm
Description:
SwingX contains a collection of powerful, useful, and just plain fun Swing
components. Each of the Swing components have been extended, providing
data-aware functionality out of the box. New useful components have been
created like the JXDatePicker, JXTaskPane, and JXImagePanel.

The swingx package was orphaned for a while, and last updated in 2008. This is an update of that package.

This update still keeps swingx at 0.9.X instead of the newer 1.6 as this is the version required by netbeans, the only package that requires swingx.

Comment 1 Alexander Kurtakov 2011-01-25 22:58:49 UTC
I'll do this one.

Comment 2 Alexander Kurtakov 2011-01-25 23:14:12 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
OK
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2
x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
Javadoc should ship COPYING as it is independent.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[!]  If package contains pom.xml files install it (including depmaps) even when building with ant
[!]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[-]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[!]  Package uses %update_maven_depmap in %post/%postun
[!]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

=== Issues ===
1. Javadoc subpackage is missing copying file
2. Package ship pom.xml but it is not installed nor a depmap is added and updated in post/postun

Comment 3 Omair Majid 2011-02-01 17:22:14 UTC
Update files:
Spec URL: http://omajid.fedorapeople.org/swingx/swingx.spec
SRPM URL: http://omajid.fedorapeople.org/swingx/swingx-0.9.5-1.fc15.src.rpm

Added COPYING to javadoc subpackage. Made sure all maven poms/fragments are installed.

Comment 4 Alexander Kurtakov 2011-02-02 06:39:17 UTC
Thanks,
This package is APPROVED.

As this is effectively a merge review I'm closing it now.


Note You need to log in before you can comment on or make changes to this bug.